## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# STLHelper.hpp File Reference

Include dependency graph for STLHelper.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds

- struct ClearFunctor
- class CollectionClearGuard
- class CollectionDeleteGuard
- struct DeleteFunctor
- struct less_null_terminated_arrays
- struct MapValueDeleteFunctor
- struct pointer_equals
- struct pointer_equals_predicate
- struct pointer_less
- struct select1st
- struct select2nd

## Defines

- #define STLHELPERS_HEADER_GUARD_1357924680

## Functions

- template<classT> MapValueDeleteFunctor<T> makeMapValueDeleteFunctor (const T& )

## Define Documentation

#define STLHELPERS_HEADER_GUARD_1357924680

## Function Documentation

template<classT>
MapValueDeleteFunctor< T > makeMapValueDeleteFunctor<T> ( | const T & )

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.